
QGIS Application - Bug report #4428

Diagram overlays not displaying when render caching is on

2011-10-22 09:14 PM - Jesse Sheffield

Status: Closed

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 14360

Description

Diagram layers do not display when "Use render caching where possible to speed up redraws" is checked.

Issue is in both 1.7.0 and 1.7.1

History

#1 - 2011-10-24 05:53 AM - Giovanni Manghi

- Target version changed from Version 1.7.1 to Version 1.8.0

- Priority changed from Normal to High

- Category set to Vectors

Confirmed on qgis-trunk on Ubuntu 11.10

#2 - 2011-12-24 01:57 AM - Giovanni Manghi

- Crashes QGIS or corrupts data set to No

- Status changed from Open to Closed

- Affected QGIS version set to master

- Resolution set to worksforme

This issue seems gone in master/1.7.3. After enabling "Use render caching where possible to speed up redraws" diagrams do disappear but it is just

needed to hit "refresh map" to see them again. Reopen if necessary.
